*** files.c (std)	Fri Apr 03 06:12:14 1998
--- files.c (new)	Sat Jun 09 03:26:22 2001
***************
*** 56,61 ****
--- 56,64 ----
  #ifdef MAILBOX
  char *Signature = "/spool/signatur";        /* Mail signature file directory */
  char *Historyfile = "/spool/history";       /* Message ID history file */
+ #ifdef MBMENU
+ char *Menudir   = "/spool/menu";        /* Mailbox menu file directory */
+ #endif
  char *Motdfile = "/spool/motd.txt";     /* Mailbox message of the day */
  #ifdef USERLOG
  char *UDefaults = "/spool/users.dat";       /* User preference file */
***************
*** 133,138 ****
--- 136,144 ----
  char *Fdbase    = "./finger/dbase.dat"; /* Finger database */
  char *Pdbase    = "./spool/names.dat"; /* Personal names databases (IW5DHE) */
  char *Arealist  = "./spool/areas";            /* List of message areas */
+ #ifdef MBMENU
+ char *Menudir   = "./menu";         /* Mailbox menu file directory */
+ #endif
  char *Rewritefile = "./spool/rewrite";        /* TO-Address rewrite file */
  #ifdef TRANSLATEFROM
  char *Translatefile = "./spool/translat";    /* FROM-address rewrite file */
***************
*** 228,233 ****
--- 234,242 ----
  char *CmdsHelpdir  = "TCPIP:help";       /* Console/Sysop commands help file directory */
  char *Arealist  = "TCPIP:spool/areas";      /* List of message areas */
  char *Helpdir   = "TCPIP:spool/help";       /* Mailbox help file directory */
+ #ifdef MBMENU
+ char *Menudir   = "TCPIP:spool/menu";       /* Mailbox menu file directory */
+ #endif
  char *Rewritefile = "TCPIP:spool/rewrite";  /* TO-Address rewrite file */
  #ifdef TRANSLATEFROM
  char *Translatefile = "TCPIP:spool/translat"; /* FROM-address rewrite file */
***************
*** 288,293 ****
--- 297,305 ----
  char *CmdsHelpdir  = "Mikes Hard Disk:help";       /* Console/Sysop commands help file directory */
  char *Arealist  = "Mikes Hard Disk:spool/areas";    /* List of message areas */
  char *Helpdir   = "Mikes Hard Disk:spool/help";     /* Mailbox help file directory */
+ #ifdef MBMENU
+ char *Menudir   = "Mikes Hard Disk:spool/menu";     /* Mailbox menu file directory */
+ #endif
  char *Rewritefile = "Mikes Hard Disk:spool/rewrite";    /* TO-Address rewrite file */
  #ifdef TRANSLATEFROM
  char *Translatefile = "Mikes Hard Disk:spool/translat"; /* FROM-address rewrite file */
***************
*** 408,413 ****
--- 420,428 ----
  #ifdef MAILBOX
      Signature = rootdircat(Signature);
      Historyfile = rootdircat(Historyfile);
+ #ifdef MBMENU
+     Menudir = rootdircat(Menudir);
+ #endif
      Motdfile = rootdircat(Motdfile);
  #ifdef USERLOG
      UDefaults = rootdircat(UDefaults);
***************
*** 966,971 ****
--- 981,989 ----
  #ifdef MAILBOX
      "Signature",&Signature,
      "Historyfile",&Historyfile,
+ #ifdef MBMENU
+     "Menudir",&Menudir,
+ #endif
      "Motdfile",&Motdfile,
  #ifdef MAILCMDS
      "Arealist",&Arealist,
