*** mailbox.c (std)	Fri Apr 03 06:12:14 1998
--- mailbox.c (new)	Sat Jun 09 03:57:10 2001
***************
*** 140,145 ****
--- 140,148 ----
  "K,L,"
  #endif
  "M,"
+ #ifdef MBMENU
+ "MENU,"
+ #endif
  #if defined GATECMDS && defined NETROM
  "N,NR,"
  #endif
***************
*** 217,222 ****
--- 220,228 ----
  " Jheard"
  #endif
  " Mbox"
+ #ifdef MBMENU
+ " MENU"
+ #endif
  #if defined FOQ_CMDS && defined TTYLINKSERVER
  " Operator"
  #endif
***************
*** 521,526 ****
--- 527,537 ----
  putprompt(m)
  struct mbx *m;
  {
+ #ifdef MBMENU
+     char buf[255];
+     FILE *fp;
+ //     char *menu = "main";
+ #endif
      char area[64];
      char *cp1,*cp2;
    
***************
*** 553,577 ****
              tprintf("Area: %s ",area);
          }
  #endif
!         if(m->sid & MBX_EXPERT) {
  #ifdef MAILCMDS
!             tprintf("(#%d) ",m->current);
  #endif
!             tputs(">\n");
!         }
!         else {
  #ifdef MAILCMDS
!             tprintf(MbCurrent,m->current);
  #endif
!             if(MbShowAliases && AliasList) {
!                 struct alias *a;
    
!                 for(a=AliasList;a;a=a->next)
!                     tprintf("%s,",a->name);
              }
!             tputs(Mbmenu);
          }
!   
  #ifdef MAILCMDS
      }
  #endif
--- 564,604 ----
              tprintf("Area: %s ",area);
          }
  #endif
! #ifdef MBMENU
!         if(strlen(m->menu) == 0) {
! #endif
!             if(m->sid & MBX_EXPERT) {
  #ifdef MAILCMDS
!                 tprintf("(#%d) ",m->current);
  #endif
!                 tputs(">\n");
!             }
!             else {
  #ifdef MAILCMDS
!                 tprintf(MbCurrent,m->current);
  #endif
!                 if(MbShowAliases && AliasList) {
!                     struct alias *a;
    
!                     for(a=AliasList;a;a=a->next)
!                         tprintf("%s,",a->name);
!                 }
!                 tputs(Mbmenu);
              }
! #ifdef MBMENU
          }
!         else {
!               tprintf(MbCurrent,m->current);
!               sprintf(buf,"%s/%s.mnu",Menudir,m->menu);
! 
!               if((fp = fopen(buf,READ_TEXT)) != NULLFILE) {
!                    sendfile(fp,Curproc->output,ASCII_TYPE,0,m);
!                    fclose(fp);
!               }
!               else
!                    tputs("No menu available.\n");
!         }
! #endif
  #ifdef MAILCMDS
      }
  #endif
***************
*** 603,613 ****
      struct tipcb *tip;
      struct mbx *m;
      struct alias *a;
      char tmp[AXBUF];
      int rval;
      FILE *fp;
      int newpriv = 0;
!   
  /*
      struct usock *up;
      if((up = itop(s)) != NULLUSOCK)
--- 630,646 ----
      struct tipcb *tip;
      struct mbx *m;
      struct alias *a;
+ #ifdef MBMENU
+     struct menu *mnu;
+ #endif
      char tmp[AXBUF];
      int rval;
      FILE *fp;
      int newpriv = 0;
! #ifdef MBMENU
!     char menuline[MBXLINE+1];
! #endif
! 
  /*
      struct usock *up;
      if((up = itop(s)) != NULLUSOCK)
***************
*** 774,817 ****
      while(mbxrecvline(m) != -1){
  #ifdef MAILCMDS
          /* Only tell about new mail when in our own area - WG7J */
!         if(!(m->sid & MBX_SID)){
!             if(isnewprivmail(m) > 0L)
!                 newpriv = 1;
!             else
!                 newpriv = 0;
!             /* Do not check mailfile if we're bbs - WG7J*/
!             scanmail(m);
!         }
  #endif
!         /* check for an alias - WG7J */
!         if((a=findalias(m->line)) != NULL) {
!             strcpy(m->line,a->cmd);
!             if(m->line[0]=='@') {  /* VK2ANK: expansion begins with '@' ? */
!                 cmdparse(Cmds, m->line+1, NULL);  /* then execute as a console cmd */
!                 goto skip_mbx_parse;
!             }
!         }
!   
!         if((rval = mbx_parse(m)) == -2)
!             break;
!         if(rval == 1)
!             tputs("Bad syntax.\n");
  skip_mbx_parse:
  #ifdef MAILCMDS
!         if(newpriv) {
!             tputs("You have new mail. ");
!             if(m->areatype != PRIVATE)
!                 tprintf("Change area with 'A %s'. ", m->name);
!             tputs("Please Kill when read!\n");
!         }
! #endif
!         putprompt(m);
!         m->state = MBX_CMD;
!     }
!     log(m->user, "MBOX exit: %s", m->name);	/* N5KNX: log exits */
!     exitbbs(m);
  }
!   
  void
  exitbbs(m)
  struct mbx *m;
--- 807,887 ----
      while(mbxrecvline(m) != -1){
  #ifdef MAILCMDS
          /* Only tell about new mail when in our own area - WG7J */
! 		  if(!(m->sid & MBX_SID)){
! 				if(isnewprivmail(m) > 0L)
! 					 newpriv = 1;
! 				else
! 					 newpriv = 0;
! 				/* Do not check mailfile if we're bbs - WG7J*/
! 				scanmail(m);
! 		  }
! #endif
! #ifdef MBMENU
! 		  /* check for a menu item */
! 		  if(strlen(m->menu) != 0) {
! 				if((mnu=findmenuitem(m->menu,m->line)) != NULL) {
! 					 strcpy(menuline,mnu->cmd);
! 					 if(strlen(mnu->prompt) != 0) {
! 						  strcat(menuline," ");
! 						  tputs(mnu->prompt);
! //if(mbxrecvline(m) == -1)
! 						  mbxrecvline(m);
! 						  strcat(menuline,m->line);
! 					 }
! 					 strcpy(m->line,menuline);
! 					 if((rval = mbx_parse(m)) == -2)
! 						  break;
! 					 if(rval == 1)
! 						  tputs("Bad syntax.\n");
! 
! 					 if(strlen(mnu->gotomenu) != 0) {
! 						  strcpy(m->line, "menu ");
! 						  strcat(m->line, mnu->gotomenu);
! 
! 						  if((rval = mbx_parse(m)) == -2)
! 								break;
! 						  if(rval == 1)
! 								tputs("Bad syntax.\n");
! 					 }
! 				}
! 				else
! 					 tputs("Bad selection\n");
! 		  }
! 		  else {
  #endif
! 
! 				/* check for an alias - WG7J */
! 				if((a=findalias(m->line)) != NULL) {
! 					 strcpy(m->line,a->cmd);
! 					 if(m->line[0]=='@') {  /* VK2ANK: expansion begins with '@' ? */
! 						  cmdparse(Cmds, m->line+1, NULL);  /* then execute as a console cmd */
! 						  goto skip_mbx_parse;
! 					 }
! 				}
! 
! 				if((rval = mbx_parse(m)) == -2)
! 					 break;
! 				if(rval == 1)
! 					 tputs("Bad syntax.\n");
! #ifdef MBMENU
! 		  }
! #endif
  skip_mbx_parse:
  #ifdef MAILCMDS
! 		  if(newpriv) {
! 				tputs("You have new mail. ");
! 				if(m->areatype != PRIVATE)
! 					 tprintf("Change area with 'A %s'. ", m->name);
! 				tputs("Please Kill when read!\n");
! 		  }
! #endif
! 		  putprompt(m);
! 		  m->state = MBX_CMD;
! 	 }
! 	 log(m->user, "MBOX exit: %s", m->name);	/* N5KNX: log exits */
! 	 exitbbs(m);
  }
! 
  void
  exitbbs(m)
  struct mbx *m;
***************
*** 940,945 ****
--- 1010,1018 ----
      "list",     dolistnotes,0, 0, NULLCHAR,
  #endif
      "mboxuser", dombusers,  0, 0, NULLCHAR,
+ #ifdef MBMENU
+     "menu",     dombmenus,  0, 0, NULLCHAR,
+ #endif
  #if defined GATECMDS && defined NETROM
      "nodes",    dombnrnodes,0, 0, NULLCHAR,
      "nroutes",  dombnrneighbour, 0, 0, NULLCHAR,
***************
*** 1453,1459 ****
      }
      return 0;
  }
!   
  #if defined FOQ_CMDS && defined TTYLINKSERVER
  extern char SysopBusy[];
    
--- 1526,1557 ----
      }
      return 0;
  }
! 
! #ifdef MBMENU
! static int
! dombmenus(argc,argv,p)
! int argc;
! char *argv[];
! void *p;
! {
!    struct mbx *m;
!    m = (struct mbx *)p;
! 
!    if(argc == 1) {
!        strcpy(m->menu,"main");
!        return 0;
!    }
!    else
!        if(!stricmp(argv[1],"off")) {
!            strcpy(m->menu,"");
!            return 0;
!        }
!        else
!            strcpy(m->menu,argv[1]);
!            return 0;
! }
! #endif
! 
  #if defined FOQ_CMDS && defined TTYLINKSERVER
  extern char SysopBusy[];
    
