*** mailbox.h (std)	Wed Jan 07 02:08:36 1998
--- mailbox.h (new)	Sat Jun 09 03:49:58 2001
***************
*** 61,66 ****
--- 61,69 ----
  #define MBXNAME 20          /* max length of user name */
  #define CNAMELEN 10         /* max length of convers names */
  #define AREALEN 64
+ #ifdef MBMENU
+ #define MBXMENU 8           /* max length of menu names */
+ #endif
    
  struct mbx {
      struct mbx *next;       /* next one on list */
***************
*** 176,181 ****
--- 179,187 ----
      int lockcnt;	    /* of associated mbox */
  #endif
      int morerows;           /* Number of lines before -more- prompt */
+ #ifdef MBMENU
+     char menu[MBXMENU+1];
+ #endif
  /* Next two are used by userlog code - WG7J */
  #ifdef USERLOG
      long lastread;          /* number of last read message in area */
***************
*** 252,258 ****
      char *cmd;
  };
  extern struct alias *AliasList;
!   
  /* In converse.c */
  extern void mbox_converse(struct mbx *m,int channel);
  extern int ShowConfLinks __ARGS((int s,int full));
--- 258,276 ----
      char *cmd;
  };
  extern struct alias *AliasList;
! 
! #ifdef MBMENU
! struct menu {
!     struct menu *next;
!     char *name;
!     char *item;
!     char *cmd;
!     char *prompt;
!     char *gotomenu; ///
! };
! extern struct menu *MenuList;
! #endif
! 
  /* In converse.c */
  extern void mbox_converse(struct mbx *m,int channel);
  extern int ShowConfLinks __ARGS((int s,int full));
***************
*** 325,330 ****
--- 343,351 ----
  int dombconvers __ARGS((int argc,char *argv[],void *p));
  int dombfinger __ARGS((int argc,char *argv[],void *p));
  int dombiproute __ARGS((int argc,char *argv[],void *p));
+ #ifdef MBMENU
+ int dombmenus __ARGS((int argc,char *argv[],void *p));
+ #endif
  int dombsemicolon __ARGS((int argc,char *argv[],void *p));
  int dosysop __ARGS((int argc,char *argv[],void *p));
  int dostars __ARGS((int argc,char *argv[],void *p));
***************
*** 342,347 ****
--- 363,372 ----
  struct alias *findalias(char *cmd);
  int dombalias(int argc,char *argv[],void *p);
  int doaliases(int argc,char *argv[],void *p);
+ struct menu *findmenuitem(char *menu, char *item);
+ #ifdef MBMENU
+ int domenus(int argc,char *argv[],void *p);
+ #endif
  int dombuserinfo __ARGS((int argc,char *argv[],void *p));
  int dombholdlocal __ARGS((int argc,char *argv[],void *p));
  void loguser __ARGS((struct mbx *m));
